net.sf.jasperreports.data.excel

## Class ExcelDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.xls.XlsDataAdapterImpl
    - - net.sf.jasperreports.data.excel.ExcelDataAdapterImpl

- All Implemented Interfaces:
    DataAdapter, ExcelDataAdapter, XlsDataAdapter

      public class ExcelDataAdapterImpl
      extends XlsDataAdapterImpl
      implements ExcelDataAdapter

  Version:
    $Id: XlsDataAdapterImpl.java 6920 2014-02-24 09:42:04Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExcelDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExcelFormatEnum` | `getFormat()`
    `void` | `setFormat(ExcelFormatEnum format)`

    - ### Methods inherited from class net.sf.jasperreports.data.xls.XlsDataAdapterImpl

      `getColumnIndexes, getColumnNames, getDatePattern, getFileName, getNumberPattern, getSheetSelection, isQueryExecuterMode, isUseFirstRowAsHeader, setColumnIndexes, setColumnNames, setDatePattern, setFileName, setNumberPattern, setQueryExecuterMode, setSheetSelection, setUseFirstRowAsHeader`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.xls.XlsDataAdapter

      `getColumnIndexes, getColumnNames, getDatePattern, getFileName, getNumberPattern, getSheetSelection, isQueryExecuterMode, isUseFirstRowAsHeader, setColumnIndexes, setColumnNames, setDatePattern, setFileName, setNumberPattern, setQueryExecuterMode, setSheetSelection, setUseFirstRowAsHeader`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### ExcelDataAdapterImpl

          public ExcelDataAdapterImpl()

  - ### Method Detail

    - #### getFormat

          public ExcelFormatEnum getFormat()

      Specified by:
        `getFormat` in interface `ExcelDataAdapter`

    - #### setFormat

          public void setFormat(ExcelFormatEnum format)

      Specified by:
        `setFormat` in interface `ExcelDataAdapter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com